# InlineQueryResultStickerCached - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.InlineQueries.InlineQueryResult / InlineQueryResultStickerCached

# InlineQueryResultStickerCached

(common) `data class InlineQueryResultStickerCached : InlineQueryResult, WithInputMessageContentInlineQueryResult, WithFileIdInlineQueryResult` (source)

### Constructors

(common)

#### <init>

`InlineQueryResultStickerCached(id: String, fileId: FileId, replyMarkup: InlineKeyboardMarkup? = null, inputMessageContent: InputMessageContent? = null)`

### Properties

(common)

#### fileId

`val fileId: FileId`

(common)

#### id

`val id: String`

(common)

#### inputMessageContent

`val inputMessageContent: InputMessageContent?`

(common)

#### replyMarkup

`val replyMarkup: InlineKeyboardMarkup?`

(common)

#### type

`val type: String`